Subject: RE: [manet] 802.11 Ad hoc mode?

From: Yang Xiao <[email-masked]>
Date: Thu, 6 Feb 2003 12:19:42 -0800 (PST)

William

Sorry for misunderstanding. Some comments.

The Probe Frame

1) Transmitted by a mobile station, attempting to quickly locate a
WLAN.
2) May be used to locate particular BSS (SSID) or any WLAN
3) Used in active scanning, 
4) Probe Response looks like a Beacon frame, sent  by AP in the BSS or
by last transmitting Beacon station in the IBSS 

Scanning

1) Passive scanning: The station will scan all channels
2) Active scanning:
   a) The station will scan all channels
   b) It will send a Probe request to get details on the BSS, if exists
in the current channel.

Beacons:

1) Transmitted periodically by the AP to locate and identify its BSS
2) The AP will send a Beacon to notify the station that it has buffered
frames to that station.
3) If AP exists, AP sends Beacons. Otherwise other stations will send.

Association

1)Make logical connection between the AP to the station – the AP will
not receive any data from a station before the association. assist the
DS to know where to deliver the mobile data. 

2) Reassociation ( Similar to the association ) Send repeatedly to the
AP.  

Hope that these will help

Regards

Yang

--- "Su, William" <[email-masked]> wrote:
> Yang,
> 
> sorry about the confusion, what I meant was : "What happens if
> multiple
> different IBSS are operating on 2 or more different channels at the
> same
> time - how do the beaconing mechanism works, association, ARP
> functionality...etc".  It seems like with 802.11b there can only be 3
> out of
> 11 channels simultenously in use due to the requirement to prevent
> interference, but with 802.11a all 12 can be used.
> 
> please let me know if you any any information o this,
> 
> thanks,
> 
> William
> 
> 
> -----Original Message-----
> From: Yang Xiao [mailto:[email-masked]]
> Sent: Thursday, February 06, 2003 2:55 PM
> To: Su, William; [email-masked]
> Subject: Re: [manet] 802.11 Ad hoc mode?
> 
> 
> William
> 
> I believe that IEEE 802.11 never support "multiple channels" and has
> no
> intention to support "multiple channels" so far.
> 
> Regards
> 
> Yang
> 
> --- "Su, William" <[email-masked]> wrote:
> > Hi,
> > 
> > I posted this question couple of month ago, received no response so
> > I'll try
> > it again...
> > 
> > Does anyone knows where I can find good source to answer these
> > questions?
> > Couldn't seem to find them in the 802.11 spec (Part11:MAC-PHY
> > Specification):
> > 
> > 1. In ad-hoc (IBSS) mode, how do the stations find each other in
> > multi-channel mode (if they are supported)?  The spec says all
> > stations
> > generate beacons in random interval, but does not say if they do a
> > full
> > sweep scan across all the channels for beacons if they don't hear
> > anything
> > for a period of time.  In some configuration menus for 802.11
> device
> > (e.g.
> > D-Link cards) suggests that when turning on two ad-hoc mode
> stations
> > they
> > shouldn't be turned on together but should allow some time to pass
> > before
> > turning on the 2nd unit (otherwise 2 separate network could be
> > formed).
> > What's the reason for this?  Why couldn't the station do a passive
> > scan
> > periodically to avoid this?
> > 
> > 2. Does IBSS mode support probes?  And are they used in the full
> > sweep scan
> > (if multiple channel mode is supported)?  If so, how do stations
> > coordinate
> > who generate probe-response and who doesn't (so there is no
> flooding
> > of
> > replies)?
> > 
> > 3. How does association work in IBSS mode?  Does a station send
> > association
> > request to all the neighbors it hears on the beacons?  Also, does
> > 802.11
> > IBSS use ARP to get the neighbor's IP address?  Does this process
> > takes
> > place in association or it is separate?
> > 
> > Any information would be greatly appreciated,
> > 
> > William
> > _______________________________________________
> > manet mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/manet
> 
> 
> __________________________________________________
> Do you Yahoo!?
> Yahoo! Mail Plus - Powerful. Affordable. Sign up now.
> http://mailplus.yahoo.com

__________________________________________________
Do you Yahoo!?
Yahoo! Mail Plus - Powerful. Affordable. Sign up now.
http://mailplus.yahoo.com
_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet